org.jbpm.services.ejb.impl.security

## Class DeploymentRolesManagerEJBImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.security.DeploymentRolesManager
  - - org.jbpm.services.ejb.impl.security.DeploymentRolesManagerEJBImpl

-     public class DeploymentRolesManagerEJBImpl
      extends DeploymentRolesManager

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.kie.services.impl.security.DeploymentRolesManager

      `deploymentsRoles, userDeploymentIdsCache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentRolesManagerEJBImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRolesForDeployment(String deploymentId, List<String> roles)`
    `List<String>` | `getDeploymentsForUser(org.kie.internal.identity.IdentityProvider identityProvider)`
    `void` | `removeRolesForDeployment(String deploymentId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentRolesManagerEJBImpl

          public DeploymentRolesManagerEJBImpl()

  - ### Method Detail

    - #### addRolesForDeployment

          public void addRolesForDeployment(String deploymentId,
                                            List<String> roles)

      Overrides:
        `addRolesForDeployment` in class `DeploymentRolesManager`

    - #### removeRolesForDeployment

          public void removeRolesForDeployment(String deploymentId)

      Overrides:
        `removeRolesForDeployment` in class `DeploymentRolesManager`

    - #### getDeploymentsForUser

          public List<String> getDeploymentsForUser(org.kie.internal.identity.IdentityProvider identityProvider)

      Overrides:
        `getDeploymentsForUser` in class `DeploymentRolesManager`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.